Name:           python-troveclient
Version:        5.1.1
Release:        %mkrel 2
Summary:        Client library for OpenStack DBaaS API
Group:          Development/Python
License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
This is a client for the Trove API. There's a Python API (the
troveclient module), and a command-line script (trove). Each
implements 100% (or less ;) ) of the Trove API.

%package -n python3-troveclient
Summary:        Client library for OpenStack DBaaS API
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pbr) >= 0.5.20
BuildRequires:  python3dist(setuptools)
# docs
BuildRequires:  git-core
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
BuildRequires:  python3dist(reno)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(httplib2)
BuildRequires:  python3dist(oslo.utils)
BuildRequires:  python3dist(keystoneauth1)
BuildRequires:  python3dist(simplejson)
BuildRequires:  python3dist(stevedore)
BuildRequires:  python3dist(prettytable)

%{?python_provide:%python_provide python3-troveclient}
Obsoletes:      python2-troveclient < 2.14.0-4

%description -n python3-troveclient
This is a client for the Trove API. There's a Python API (the
troveclient module), and a command-line script (trove). Each
implements 100% (or less ;) ) of the Trove API.

%prep
%setup -q

# drop bundled egg-info
rm -rf python_troveclient.egg-info/

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%py3_build

# docs
PYTHONPATH=$(pwd) sphinx-build doc/source html
# leftovers
rm -rf html/.buildinfo

%install
%py3_install

%files -n python3-troveclient
%license LICENSE
%doc README* html
%{python3_sitelib}/python_troveclient-%{version}-py?.?.egg-info
%{python3_sitelib}/troveclient
%{_bindir}/trove


%changelog
* Tue Jan 12 2021 daviddavid <daviddavid> 5.1.1-2.mga8
+ Revision: 1671228
- obsoletes old python2-troveclient

* Thu Sep 17 2020 guillomovitch <guillomovitch> 5.1.1-1.mga8
+ Revision: 1627492
- new version 5.1.1

* Sun Feb 16 2020 umeabot <umeabot> 2.18.0-3.mga8
+ Revision: 1533670
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 2.18.0-2.mga8
+ Revision: 1444708
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 25 2019 wally <wally> 2.18.0-1.mga8
+ Revision: 1431895
- new version 2.18.0
- build html docs

* Thu Jan 10 2019 shlomif <shlomif> 2.14.0-3.mga7
+ Revision: 1354532
- avoid docs which break the build
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 2.14.0-2.mga7
+ Revision: 1290438
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 kekepower <kekepower> 2.14.0-1.mga7
+ Revision: 1219192
- Update to version 2.14.0
- Rename python-troveclient to python2-troveclient
- Added python2-troveclient
- Use python_provide

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-5.mga5
+ Revision: 741933
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.3-4.mga5
+ Revision: 729887
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 688385
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Mar 30 2014 kharec <kharec> 1.0.3-1.mga5
+ Revision: 610590
- fix release
- imported package python-troveclient

